package org.servicetango.service.log;

import org.osgi.framework.*;
import org.osgi.service.log.*;

class LogEntryImpl
implements LogEntry
{

    LogEntryImpl(Bundle bundle1, ServiceReference servicereference, int i, String s, Throwable throwable)
    {
        bundle = bundle1;
        reference = servicereference;
        level = i;
        message = s;
        exception = throwable;
        time = System.currentTimeMillis();
    }

    public Bundle getBundle() {
        return bundle;
    }

    public ServiceReference getServiceReference() {
        return reference;
    }

    public int getLevel() {
        return level;
    }

    public String getMessage() {
        return message;
    }

    public Throwable getException() {
        return exception;
    }

    public long getTime() {
        return time;
    }

    private Bundle bundle;
    private ServiceReference reference;
    private int level;
    private String message;
    private Throwable exception;
    private long time;
}
