package org.servicetango.service.log;

import java.util.*;
import org.osgi.framework.*;
import org.osgi.service.log.*;

class LogReaderServiceImpl
implements LogReaderService
{

    LogReaderServiceImpl(Log log, LogListeners loglisteners, Bundle bundle) {
        m_log = log;
        m_logListeners = loglisteners;
        m_bundle = bundle;
    }

    public void addLogListener(LogListener loglistener) {
        m_logListeners.add(loglistener, m_bundle);
    }

    public Enumeration getLog() {
        return m_log.getLog();
    }

    public void removeLogListener(LogListener loglistener) {
        m_logListeners.remove(loglistener);
    }

    private Log m_log;
    private LogListeners m_logListeners;
    private Bundle m_bundle;
}
