package examples.org.servicetango.service.http;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

/**
 * A servlet for demonstrating "Hello World".
 */
class HelloWorld extends HttpServlet
{
    static final String KEY_HELLO_WORLD = "HelloWorld";
    static final String KEY_LANG        = "Language";

    private HelloWorldBundle bundle;
    private PrintWriter out = null;

    HelloWorld(HelloWorldBundle bundle)
    {
        this.bundle = bundle;
    }

    public void doGet(HttpServletRequest req, HttpServletResponse res)
        throws ServletException, IOException
    {
        res.setContentType("text/html");

        out = res.getWriter();
        String pathInfo = req.getPathInfo();

        out.println("<html>");
        out.println("<HEAD><TITLE>" + HelloWorldResource.helloWorldString()
                    + "</TITLE></HEAD>");
        out.println("<body>");

        out.println(HelloWorldResource.helloWorldString());
        out.println("</body></html>");
        out.flush();
    }

}
